Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.common
Class EntitlementRequestConstants

    java.lang.Object
      com.bea.p13n.entitlements.common.EntitlementRequestConstants

    public class EntitlementRequestConstants

extends Object

Field Summary
`static int` | `APPLICATION_SCOPE` APPLICATION_SCOPE - attribute value valid within scope of current application
`static int` | `GLOBAL_SCOPE` GLOBAL_SCOPE - attribute value valid for all applications
`static int` | `METHOD_SCOPE` Method scope - attribute value valid for duration of method call
`static int` | `REQUEST_SCOPE` REQUEST_SCOPE - attribute value valid for duration of Http Request
`static int` | `SESSION_SCOPE` SESSION_SCOPE - attribute value valid for duration of user session
`static int` | `USER_PROFILE_SCOPE` USER_PROFILE_SCOPE - attribute value valid for current user, only

Constructor Summary
`EntitlementRequestConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SCOPE

    public static final int METHOD_SCOPE

  Method scope - attribute value valid for duration of method call

  See Also
    Constants Summary

### REQUEST_SCOPE

    public static final int REQUEST_SCOPE

  REQUEST_SCOPE - attribute value valid for duration of Http Request

  See Also
    Constants Summary

### SESSION_SCOPE

    public static final int SESSION_SCOPE

  SESSION_SCOPE - attribute value valid for duration of user session

  See Also
    Constants Summary

### APPLICATION_SCOPE

    public static final int APPLICATION_SCOPE

  APPLICATION_SCOPE - attribute value valid within scope of current application

  See Also
    Constants Summary

### GLOBAL_SCOPE

    public static final int GLOBAL_SCOPE

  GLOBAL_SCOPE - attribute value valid for all applications

  See Also
    Constants Summary

### USER_PROFILE_SCOPE

    public static final int USER_PROFILE_SCOPE

  USER_PROFILE_SCOPE - attribute value valid for current user, only

  See Also
    Constants Summary

Constructor Detail

### EntitlementRequestConstants

    public EntitlementRequestConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved